Printing overview

When you create a document or enter data into a spreadsheet, you may want to see what your work looks like in print. To do this, you must install a printer. The printer might be attached directly to your computer, or it may be a shared network printer located in a common copy room. Once installed, the printer will be listed in the Printers folder as well as in the Print dialog box of the program you are using.

A variety of settings and print options are available once the printer is installed on your computer. For example, you can share your printer with another user or set up a separator page so you can easily identify your document among other documents. You can also change options that specifically affect how a document is printed. For example, you can change the page layout from portrait to landscape or you can change the number of copies that are printed.

For more overview information and a list of common tasks, see Related Topics.

Related Topics


Common tasks: Printing

Common tasks

The following tasks are frequently performed when you print files and documents. Click the Index or Search tab to search for a specific word or phrase.

Set up a printer

Before printing a document, set up a printer on your computer.

  • Connect to a shared printer on a network.

    • Step-by-step procedure

  • Connect a printer directly to your computer.

    • Step-by-step procedure

Print a document

See how your document looks in print.

Step-by-step procedure

Cancel printing of a document

Cancel the request to print your document.

Step-by-step procedure

View a list of documents waiting to print

Display all the documents in the print queue for the selected printer.

Step-by-step procedure

Change printing preferences

Change the printing orientation, change the paper size, or change the number of copies to print.

Step-by-step procedure


Add a printer that is attached to your computer

To add a printer that is attached to your computer

  1. Connect the printer to the appropriate port on your computer according to the printer manufacturer's instructions.
  2. Windows 2000 will automatically install most printers. However, for older printers, you may be required to provide additional information to complete the installation. Choose one of the following, depending on the type of printer you have.

    3. Install a parallel port (LPT) attached printer

    If your printer attaches to your computer with a parallel port (LPT port), connect the printer to your computer, and then open Printers. Double-click Add Printer to start the Add Printer wizard, and then click Next. Click Local Printer, make sure the Automatically detect my printer check box is selected, and then click Next. Depending on the printer you are installing, a Found New Hardware message or the Found New Hardware wizard appears to notify you that the printer has been detected and that installation has begun. Follow the instructions on the screen to complete the printer installation. (You do not need to continue with the instructions below.)

    Alternatively, after connecting your printer, you can start or restart your computer to allow Windows 2000 to automatically start the Found New Hardware wizard.

    The printer icon will be added to your Printers folder.

    Install a USB or IEEE 1394 printer

    If you install a universal serial bus (USB) or IEEE 1394 printer, Windows 2000 detects it and automatically starts the Found New Hardware wizard. You do not need to shut down or restart your computer. Simply follow the instructions on the screen to finish installing the printer. (You do not need to continue with the instructions below.)

    The printer icon will be added to your Printers folder.

    Install an infrared printer

    If you install an infrared printer, Windows 2000 detects it and automatically installs it. You do not need to shut down or restart your computer. First, make sure that the infrared-enabled computer and the printer are turned on. Then, position the two infrared capable devices to within approximately 1 meter of each other to establish a wireless infrared connection. After several seconds the computer will recognize the printer, the printer icon will appear in the status area of the taskbar, and the appropriate drivers will be installed on the computer. (You do not need to continue with the instructions below.)

    The printer icon will be added to your Printers folder.

  3. If you could not install your printer using Plug and Play, or if the printer is attached to your computer with a serial (COM) port, then open Printers.
  4. Double-click Add Printer to start the Add Printer wizard, and then click Next.
  5. Click Local printer, make sure that the Automatically detect my printer check box is cleared, and then click Next.
  6. Follow the instructions on the screen to finish setting up the local printer by selecting the printer port, selecting the manufacturer and model of your printer, and typing a name for your printer.

    7. When you are finished, the icon for the printer appears in your Printers folder.

Notes

  • If you add and set up a Plug-and-Play printer (for example, USB, IEEE 1394, LPT, or Infrared), you do not need to have administrative privileges. However, to add and set up a non Plug-and-Play printer connected directly to your computer, you must be logged on as an administrator or a member of the Administrators group. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • When you add a printer using the Add Printer wizard, you normally select one of the parallel (LPT) ports from the Existing list when prompted to Select the Printer Port in step 6 above. For some plotters, however, you may need to select one of the serial (COM) ports.
  • Once you have set up the printer, you can share it with other users on the network. If you intend to share the printer with users running other versions of Windows (Windows 95 and 98, and Windows NT 3.5 and 4.0), you can install the appropriate printer drivers on your computer so those users can connect to the printer without being prompted to install the drivers missing from their systems. For information about installing printer drivers for other clients, see Related Topics.
  • If you want to print a test page, first make sure your printer is turned on and ready to print.
  • If your computer does not support infrared technology, you can attach an infrared transceiver to your serial (COM) port, which will allow you to print over a wireless infrared connection. For more information, see Related Topics.


Choosing a printer name

Windows 2000 supports the use of long printer names. This allows you to create printer names that contain spaces and special characters. However, if you share a printer over a network, some clients will not recognize or correctly handle the long names, and users may experience problems printing. Also, some programs cannot print to printers with names longer than 32 characters.

For printers that are shared, the entire qualified name (including the server name, \\PRINTER2\PSCRIPT, for example) must be less than 32 characters.

  • If you share a printer with a variety of clients on a network, use 31 or fewer characters for printer names, and do not include spaces or special characters in these names.
  • If you share a printer with MS-DOS computers, do not use more than eight characters for the printer's share name. You can lengthen the name by adding a period followed by no more than three characters, but you cannot use spaces in the name.

Several Windows version 3.x programs cannot print to a printer if its name contains more than the specified number of characters, and will generate a general protection fault error message if printing is attempted. Other programs may not print to any printer, even printers with short names, if the default printer's name is too long. To resolve these problems, rename the printers used by these programs with shorter names and make one of the renamed printers the default printer.

For information about adding or sharing a printer, see Related Topics.


Connect to a printer on a network

To connect to a printer on a network

  2. Double-click Add Printer to start the Add Printer wizard, and then click Next.
  3. Click Network printer, and then click Next.
  4. Connect to the desired printer by:
    • Searching for it in the Active Directory.
    • Typing its name using the following format, or clicking Next to locate the printer on the network:

      • \\printserver_name\share_name

    • Typing its URL using the following format:

      • http://printserver_name/Printers/share_name/.printer

  5. Follow the instructions on the screen to finish connecting to the network printer.

    6. The icon for the printer appears in your Printers folder.

Notes

  • If you are not logged on to a Windows 2000 domain running Active Directory, the option to Find a printer in the Directory will not be available.
  • Connecting to a printer using its URL allows you to connect to printers across the Internet providing you have permission to use that printer.
  • If you cannot connect to your printer using the general URL format above, please see your printer's documentation or contact your network administrator.
  • You can also connect to a printer by dragging the printer from the Printers folder on the print server and dropping it into your Printers folder, or by simply right-clicking the icon and then clicking Connect.
  • After you have connected to a shared printer on the network, you can use it as if it were attached to your computer.


Specify your default printer

To specify your default printer

  2. If you have more than one printer installed on your computer, right-click the printer you want to use as the default printer, and then click Set as Default Printer.

    3. A check mark appears next to the printer icon in the Printers folder.

Notes

  • A check mark located next to the Set as Default Printer menu option indicates that you have selected the default printer.
  • When you click Print on the File menu of many Windows-based programs, the default printer is used unless you specify otherwise.


Using plotters

Although Windows 2000 supports most plotters, you might encounter some problems when trying to print with certain plotters.

  • In Windows 2000, 7-bit serial connections to plotters are not supported, so you must use 8-bit connections.
  • If you notice that some lines are not printing on a pen plotter, try setting the plotter's control panel so that installed pens are set at the minimum width supported by the hardware. Be aware, however, that some plotters will not print thin lines unless the thinnest pen is selected.
  • Pen plotters can take longer to clear their buffers than other plotters, so you may want to increase the port timeout setting to avoid receiving error messages. For information on changing the parallel port timeout setting, see Related Topics.
  • Windows 2000 plotter drivers for most HP DesignJet series plotters are designed for use with margins set to Normal, paper size set to Software, and autorotation set to Off. When troubleshooting problems, reset the plotter to the factory defaults and then change only the necessary settings.
  • All plotters supported by Windows 2000 use the HP-GL/2 language. Some plotters supported by Windows can be set to receive a choice of plotter languages; however, to work with Windows 2000, HP-GL/2 must be selected. (Windows 2000 does not support the HPGL language.)
  • When printing to plotter models that offer a choice of roll or sheet media, the form to tray assignment must be set to the actual paper size available to the plotter. Since selecting a media size or type not featured on the plotter is not supported, doing so may result in misaligned output. For more information on matching a form to a printer tray, see Related Topics.

For information about installing a plotter, see Related Topics.


Share your printer

To share your printer

  2. Right-click the printer you want to share, and then click Sharing.
  3. On the Sharing tab, click Shared as and then type a name for the shared printer.

    4. If you share the printer with users on different hardware or different operating systems, click Additional Drivers. Click the environment and operating system for the other computers, and then click OK to install the additional drivers.

    If you are logged on to a Windows 2000 domain, you can make the printer available to other users on the domain by clicking List in the Directory to publish the printer in the Directory.

  4. Click OK, or if you have installed additional drivers, click Close.

Notes

  • Printers are not shared by default when you install them on Windows 2000 Professional, but you can choose to share any printer you install on your computer. (On Windows 2000 Server, the printer is shared by default when you add the printer.)
  • When you publish a printer in Active Directory, other users logged onto the Windows 2000 domain will be able to search for the printer based on its location and features such as how many pages it prints per minute and whether color printing is supported.


Stop sharing your printer

To stop sharing your printer

  2. Right-click the printer you want to stop sharing, and then click Sharing.
  3. On the Sharing tab, click Not Shared.

Note


Set or remove permissions for a printer

To set or remove permissions for a printer

  2. Right-click the printer for which you want to set permissions, click Properties, and then click the Security tab.
  3. Do one of the following:
    • To change or remove permissions from an existing user or group, click the name of the user or group.
    • To set up permissions for a new user or group, click Add. In Name, type the name of the user or group you want to set permissions for, click Add, and then click OK to close the dialog box.
  4. In Permissions, click Allow or Deny for each permission you want to allow or deny, if necessary. Or, to remove the user or group from the permissions list, click Remove.

Notes

  • To change device settings, you must have the Manage Printers permission. For information about printing security permissions, see Related Topics.
  • To view or change the underlying permissions that make up Print, Manage Printers, and Manage Documents, click the Advanced button.
  • A printer must be shared in order for the permission settings to affect the users and groups listed.
  • You can also view the permissions assigned to you by clicking the group you belong to on the Security tab. For information on finding out what group you belong to, see Related Topics.


Set installable options for a printer

To set installable options for a printer

  2. Right-click the printer you want to set options for, and then click Properties.
  3. On the Device Settings tab, under Installable Options, click any option to set it.

Notes

  • To change device settings, you must have the Manage Printers permission. For information about printing security permissions, see Related Topics.
  • Only installable options supported by the specific printer will be shown in the Installable Options list.
  • Administrators need to set the installable options that actually exist for the specific printer. Users will only be able to see and choose from the installable options the administrator sets as available.

    • Examples of installable options include: printing on both sides of a page (duplex unit), envelope feeder, multiple bin mailbox trays, stapler, internal disk, and others.


Set printer memory

To set printer memory

  3. On the Device Settings tab, under Installable Options, click Printer Memory, and then click the number that matches the amount of memory installed in your printer or plotter.

Notes

  • To change device settings, you must have the Manage Printers permission. For information about printing security permissions, see Related Topics.
  • Printer Memory might be referred to as Installed Memory (Kilobyte) on your printer. If neither of these options are displayed, your printer does not support this feature.
  • When you install additional memory into your printer, you need to change the printer memory setting on the Device Settings tab so that the correct amount of memory is specified.
  • Specifying more or less memory than actually resides in your printer can result in a memory error message. To check how much memory is installed, use the self-test feature supported by most laser printers to print out the current memory configuration. For more information, see your printer's operating manual.


Match a form to a printer tray

To match a form to a printer tray

  3. On the Device Settings tab, under Form To Tray Assignment, click a printer tray.
  4. Click one of the available paper sizes for the selected tray.
  5. Repeat steps 3 and 4 for each paper source.

Notes

  • To change device settings, you must have the Manage Printers permission. For information about printing security permissions, see Related Topics.
  • Many printers have upper and lower trays that contain different sizes of paper. Matching a form to a source ensures that documents always print on the correct paper size when the form is selected from within a program.


Change the parallel port timeout settings

To change the parallel port timeout settings

  2. Right-click the printer you want to change, and then click Properties.
  3. On the Ports tab, click the LPT port that the printer uses, and then click Configure Port.
  4. Type the new number for the timeout setting in Transmission Retry.

Notes

  • To change device settings, you must have the Manage Printers permission. For information about printing security permissions, see Related Topics.
  • If you are printing to a pen plotter, you might need to increase the port timeout setting to allow more time for the plotter to clear its buffer.
  • If you print to more than one parallel port, change Transmission Retry for each port.


Make cartridge fonts available

To make cartridge fonts available

  1. Make sure that the cartridges are properly inserted into the cartridge slots on your printer.
  4. On the Device Settings tab, under Installed Font Cartridges, click the slot number in which the cartridge is installed.

Notes

  • To change device settings, you must have the Manage Printers permission. For information about printing security permissions, see Related Topics.
  • Installed Font Cartridges appears only if your printer supports this feature.


Install or remove external PCL soft fonts

To install or remove external PCL soft fonts

  3. On the Device Settings tab, click External Fonts, and then click Properties.
  4. Do one of the following:
    • To install external PCL soft fonts, in New Soft Font Directory, type the path to the folder or drive where the fonts are located, and then click Open. Click the fonts you want to install in New Soft Fonts, and then click Add after each selection.
    • To remove external PCL soft fonts, in Installed Soft Fonts, click the fonts you want to remove, and then click Delete.

Notes

  • To change device settings, you must have the Manage Printers permission. For information about printing security permissions, see Related Topics.
  • Use External Fonts to install PCL format fonts on Hewlett-Packard LaserJet, DeskJet, and compatible printers. External fonts can be PCL soft fonts or cartridge fonts. Refer to the font documentation to check the format of your fonts.
  • You can add or remove TrueType fonts by using the Fonts folder in Control Panel.


Ensure that complex pages print properly

To ensure that complex pages print properly

  3. On the Device Settings tab, click Page Protection, and then click On.

Notes

  • To change device settings, you must have the Manage Printers permission. For information about printing security permissions, see Related Topics.
  • When page protection is active, the printer creates the entire printed page in memory before starting to print. To use page protection, your printer must have at least 1 MB of optional memory available. If your printer does not support page protection, the choice is not available.


Printing properties overview

There are three types of settings that affect printing: Printer properties, printing preferences, and print server properties.

Printer properties

From the printer's Properties dialog box, you set the options that affect the printer and all documents printed. These options include:

  • Loading a new printer driver and printing a test page.
  • Adding, deleting, and configuring a port and enabling printer pooling.
  • Scheduling the printer's availability and assigning printer priorities.
  • Sharing a printer and installing additional drivers.
  • Assigning permissions for a printer and taking ownership of a printer.
  • Setting printer memory.
  • Assigning a print form to a printer tray.
  • Choosing font types.

Document printing preferences

From the Printing Preferences dialog box, you can change settings that affect the way documents are printed. These options include:

  • Changing the layout of your text on a page by choosing portrait or landscape.
  • Changing the number of copies that are printed.
  • Choosing to print on both the front and back of the paper.

Print server properties

From the Print Server Properties dialog box, you can change settings that affect all printers installed on the print server. These options include:

  • Assigning standard print forms to a printer tray and creating custom forms that are available to all printers on the server.
  • Adding, deleting, and configuring ports on the print server.
  • Adding, removing, updating, and viewing the properties of printer drivers installed on the print server.
  • Setting spooler and print notification options.

For information on changing printer properties, document printing preferences, or print server properties, see Related Topics.


Set printer properties

To set printer properties

  2. Right-click the printer for which you want to change settings, and then click Properties.
  3. Click each tab to see the available choices, and change options as needed, such as sharing the printer, adding and configuring a port, scheduling the printer's availability, assigning permissions, and specifying the form to tray assignment.

Notes

  • You can change printer settings only if you have the Manage Printers permission. For more information about printing security permissions, see Related Topics.
  • Changing the printer properties affects only the selected printer.


Set printing defaults

To set printing defaults

  2. Right-click the printer for which you want to set the default printing preferences, and then click Properties.
  3. On the Advanced tab, click Printing Defaults.
  4. Click the Layout and Paper/Quality tabs and the Advanced button to see the available choices, and specify the default settings.

Notes

  • You can change the default printing preferences only if you have the Manage Printers permission. For information about printing security permissions, see Related Topics.
  • The default preferences you set, which can specify options such as the page orientation, the tray from which paper is fed to the printer, and the number of copies to print, will be the default settings for any user who connects to this printer. Individual users can customize these settings by right-clicking a printer in the Printers folder, and then clicking Printing Preferences.


Set personal printing preferences

To set personal printing preferences

  3. Click the Layout and Paper/Quality tabs and the Advanced button to see the available choices, and make your changes.

Notes

  • To change printing preferences, you must have the Print permission. For information about printing security permissions, see Related Topics.
  • When you set your personal printing preferences in the Printers folder, the default settings are changed for all documents you print on this printer. To change the printing preferences for individual documents from within a program, click Page Setup (or Print Setup) on the program's File menu, and then make selections.
  • To set the printing default for all users connected to the printer, see Set printing defaults.


Set print server properties

To set print server properties

  2. On the File menu, click Server Properties.
  3. Click each tab to see the available choices, and set options as required, such as creating a new form, adding and configuring ports, adding and updating printer drivers, and setting spooler options.

Notes

  • Setting and changing the print server properties affects all printers on the print server.


Choosing and configuring a port

Print monitor is a term used to describe two types of print monitors: language monitor and port monitor. A language monitor is needed if the printer supports bidirectional printing, which is a two-way communication between the printer and the spooler running on the print server. The spooler can then access configuration and status information from the printer. The port monitor controls the I/O port to the printer. A printer port is the interface through which a printer communicates with the computer. You can add printer ports while adding a printer (using the Add Printer wizard), from the Ports tab in the printer's property page, or through the print server property page.

If the printer is physically attached to the print server, select the appropriate local port. LPT1 through LPT3 represent parallel ports; COM1 through COM4 represent serial ports. When a client prints to a printer port denoted as FILE, the client is prompted for the file name, and the output is stored as a .prn file on the client computer. If you decide to add a new local port you can enter one of the following:

  • A file name, such as C:\Dir\Filename. All jobs sent to this port are written to the named file, and each new job overwrites the last one.
  • The share name of a printer, such as \\Server\Printer (URLs are not accepted). Jobs sent to this port are transferred over the network to the named share by the network redirector.
  • NUL. This specifies the null port, which you can use to test whether network clients can send jobs. Jobs sent to NUL are deleted without wasting paper or delaying real print jobs.
  • IR. Use this port to connect to infrared-enabled printers meeting Infrared Data Association (IrDA) specifications. If your hardware does not support IR, it will not be listed on the Ports tab.

Certain ports are not listed in the Ports tab unless a printer that requires one of them is installed. Universal serial bus (USB) and IEEE 1394 printers support Plug and Play so when you plug a printer into the correct physical port (USB or IEEE 1394), the correct port monitor is installed automatically. Windows 2000 will detect the device and display its settings on the screen, prompting you to approve. You might be required to insert a CD-ROM containing driver files, as described in To add a local port.

If the printer is attached directly to the network, add a port when prompted by the Add Printer wizard for a port selection. The following table shows the port options available and explains under what conditions the port is available. You must have Administrator privileges to add a port.

Additional port | Enables clients to print to | Available
Local port | Printers connected to a parallel port, serial port, specific file name, universal naming convention (UNC) name, or the NUL port | By default
Standard TCP/IP port | TCP/IP printers connected directly to the network | By default
LPR port | TCP/IP printers connected to a UNIX (or VAX) server | When Print services for UNIX is installed

The port you need might not appear in the wizard if its prerequisite network protocol or services are not installed. For more information on adding a network protocol or service, see Related Topics.


Add a port

To add a port

  1. Open Printers.
  2. On the File menu, click Server Properties.
  3. Click the Ports tab, and then click Add Port.
  4. From the Available port types list, click the appropriate port name, and then click New Port.
  5. Configure the port you added.
  6. Click Close to close the Printer Ports dialog box.

Notes

  • By default, only Local Port, and Standard TCP/IP Port appear in the Available port types list. To add other port types, click New Port Type and enter the path to the compact disc containing the necessary files.
  • You can also add a printing port while you add a new printer using the Add Printer wizard. This wizard prompts you to select a new or existing port.
  • For a list of ports you can add, and information about adding them, see Related Topics.
  • It is better to use the Print Server Properties dialog box when adding multiple ports. Then, when you add a printer with the Add Printer wizard, the new ports you added will appear in the Existing list.


Delete a port

To delete a port

  1. Open Printers.
  2. On the File menu, click Server Properties, and then click the Ports tab.
  3. In Ports on this server, click the port you want to delete, and then click Delete Port.
  4. Click Yes to confirm.

Notes

  • Deleting a port removes it from the available port list. Any printer that communicates through that port is disconnected.


Add a local port

To add a local port

  1. Open Printers.
  2. Double-click Add Printer, and then click Next.
  3. Click Local printer, clear the Automatically detect my printer check box, and then click Next.
  4. Click Create a new port, click Local Port, and then click Next.
  5. Type the port name, and then click OK.
  6. Follow the instructions on the screen to finish adding a printer with the Add Printer wizard.

Notes

  • You can also add ports using the Print Server Properties dialog box.
  • You can configure the time-out for parallel (LPT) ports by selecting any LPT port and then clicking Configure Port. For the complete procedure, see Related Topics.
  • In a network environment, it is better to use a printer that is connected directly to the network through a network adaptor than through a parallel port.


Add a standard TCP/IP port

To add a standard TCP/IP port

  1. Open Printers.
  2. Double-click Add Printer, and then click Next.
  3. Click Local printer, clear the Automatically detect my printer check box, and then click Next.
  4. Click Create a new port, and then click Standard TCP/IP Port.
  5. Click Next to run the Add Standard TCP/IP Printer Port wizard.
  6. Follow the instructions on the screen to finish installing the TCP/IP printer.

Notes

  • You can also add ports using the Print Server Properties dialog box.
  • Most directly attached network printers currently support TCP/IP protocol. The standard TCP/IP port simplifies connecting remote printers with TCP/IP protocol.
  • A computer that acts as a print server must run TCP/IP protocol to communicate with and send print jobs to the printer.
  • For print servers that need to communicate with host computers (such as UNIX or VAX computers), it is best to install an LPR port.


Add an LPR port

To add an LPR port

  1. Open Printers.
  2. Double-click Add Printer, and then click Next.
  3. Click Local printer, clear the Automatically detect my printer check box, and then click Next.
  4. Click Create a new port, and then click LPR Port.
  5. Click Next, and then provide the following information:

    6. In Name or address of server providing LPD, type the Domain Name System (DNS) name or Internet Protocol (IP) address of the host for the printer you are adding.

    In Name of printer or print queue on that server, type the name of the printer as it is identified by the host, which is either the direct-connect printer itself or the UNIX computer.

  6. Follow the instructions on the screen to finish installing the TCP/IP printer.

Notes

  • You can also add ports using the Print Server Properties dialog box.
  • If LPR Port is not available, click Cancel to stop the wizard. To add the LPR port, you need to install Print Services for Unix, see Related Topics.
  • The LPR port is best suited to servers that need to communicate with host computers such as UNIX or VAX machines by way of RFC 1179. For computers that need to submit print jobs to host computers, the standard TCP/IP port should be used in most cases.
  • Name or address of server providing LPD can be the DNS name or IP address of the direct-connect TCP/IP printing device or the UNIX computer to which the printing device is connected. The DNS name can be the name specified for the host in the Hosts file.
  • A network-connected printer must have a card that supports LPD for TCP/IP printing to work properly.


Set page orientation

To set page orientation

  3. On the Layout tab, under Orientation, click one of the following options:
    • Portrait to print vertically on the page.
    • Landscape to print horizontally on the page.
    • Rotated Landscape to rotate the print 90 degrees counterclockwise on the page.

    A representation of your selection will appear in the display area of the dialog box.

Notes

  • To change printing preferences, you must have the Print permission. For information about printing security permissions, see Related Topics.
  • The Orientation options appear in the dialog box only if your printer supports this feature. The specific options available depend on the printer you are using.
  • To set the printing default for all users connected to the printer, see Set printing defaults.


Specify paper size

To specify paper size

  3. Click Advanced, and under Paper/Output click Paper Size.
  4. Click the paper size (form) you want.

Notes

  • To change printing preferences, you must have the Print permission. For information about printing security permissions, see Related Topics.
  • To set the printing default for all users connected to the printer, see Set printing defaults.


Set printing resolution

To set printing resolution

  3. Click Advanced, and under Graphic, click Print Quality.
  4. Click the resolution option you want.

Notes

  • To change printing preferences, you must have the Print permission. For information about printing security permissions, see Related Topics.
  • High-resolution settings produce more dots per inch (dpi) and higher quality printing, but take longer to print.
  • Two numbers are used to specify resolution. The first represents horizontal resolution and the second represents vertical resolution. For example, 240-by-144 specifies a resolution of 240 dots per inch horizontally and 144 dots per inch vertically.
  • Text quality is not affected by this setting unless you are using a LaserJet printer and printing TrueType fonts as graphics.
  • To set the printing default for all users connected to the printer, see Set printing defaults.


Print multiple pages per sheet

To print multiple pages per sheet

  3. On the Layout tab, select the number of pages you want to print on a sheet in Pages Per Sheet.

    4. A representation of your selection will appear in the display area of the dialog box.

Notes

  • To change printing preferences, you must have the Print permission. For information about printing security permissions, see Related Topics.
  • The Pages Per Sheet option appears in the dialog box only if your printer supports this feature.
  • To set the printing default for all users connected to the printer, see Set printing defaults.


Print on one or both sides of the paper

To print on one or both sides of the paper

  3. On the Layout tab, under Print on Both Sides (Duplex), click one of the following options:
    • None to print on only one side of the paper.
    • Flip on Short Edge to print on both sides of the paper with pages that are bound on the top edge.
    • Flip on Long Edge to print on both sides of the paper with pages that are bound on the left edge.

    A representation of your selection will appear in the display area of the dialog box.

Notes

  • To change printing preferences, you must have the Print permission. For information about printing security permissions, see Related Topics.
  • The Print on Both sides (Duplex) options appear in the dialog box only if your printer supports this feature. The specific options available depend on the printer you are using.
  • To set the printing default for all users connected to the printer, see Set printing defaults.


Set the number of copies to print

To set the number of copies to print

  3. Click Advanced, and under Paper/Output specify the Copy Count.

    4. If your printer supports collation, the pages will be collated by default when you print multiple copies.

Notes

  • To change printing preferences, you must have the Print permission. For information about printing security permissions, see Related Topics.
  • To set the printing default for all users connected to the printer, see Set printing defaults.


Print a document

To print a document

  1. Open the document you want to print.
  2. On the File menu of the program you are using, click Print.

Notes

  • In the Print dialog box you can see the number of documents waiting to print on any printer installed on your computer by right-clicking the printer in Select Printer and then clicking Open.
  • If you are logged on to a Windows 2000 domain running Active Directory, you can click Find Printer to search for a printer on the network with the capabilities you want, such as high-speed or color printing. For more information on searching for a printer, see Related Topics.
  • To store a document as a file rather than sending it to the printer, click the Print to file check box in the Print dialog box.
  • For easy access to your printer, you can create a shortcut to it on the desktop. You can double-click the shortcut to open the print queue and view the documents waiting to print. For more information on how to create a shortcut, see Related Topics.
  • You can print a document without opening it by dragging its icon to a printer in the Printers folder or to a shortcut on your desktop.
  • While a document is printing, a printer icon appears next to the clock in the status area on the taskbar. When this icon disappears, it means that your document has finished printing.


Printing extended or international characters

In addition to the 128 standard ASCII characters you can type using your keyboard, you can use extended or international characters by using the Character Map program.

When Windows 2000 prints a document using printer fonts, each character your program sends to the printer is translated to the appropriate resident font. If your printer supports that character, the character prints. Otherwise, a character such as a period or other filler character prints instead. Check your printer manual and experiment with your printer to determine which extended characters are supported by your printer. This limitation applies only to the printer's hardware fonts. TrueType and OpenType fonts provided by Windows 2000 will print all extended characters, unless the font has been mapped to a resident font on the printer. In that case, the TrueType or OpenType font will print only the characters supported by the printer.

For information about changing fonts or using the Character Map program, see Related Topics.


View documents waiting to print

To view documents waiting to print

  2. Double-click the printer for which you want to view the documents waiting to print.

Notes

  • The print queue shows information about a document such as print status, owner, and number of pages to be printed. From the print queue, you can cancel or pause printing for any documents you have sent to the printer.
  • You can also open the print queue for the printer on which you are printing by double-clicking the printer icon in the status area on the taskbar.


Change the printing priority of documents waiting to print

To change the printing priority of documents waiting to print

  3. Right-click the document you want to move in the print order, and then click Properties.
  4. On the General tab, drag the Priority slider to raise or lower the document priority.

Notes

  • You can change the printing priority of documents waiting to print only if you have the Manage Documents permission. For information about printing security permissions, see Related Topics.
  • Once a document has started printing, any printing priority changes you make will not affect the document.


Cancel printing of a document

To cancel printing of a document

  3. Right-click the document you want to stop printing, and then click Cancel.

Notes

  • You can cancel the printing of more than one document by holding down the CTRL key and then clicking each document you want to cancel.
  • You can also right-click the printer icon in the status area on the taskbar to open the print queue.


Pause or resume printing of a document

To pause or resume printing of a document

  3. Right-click the document for which you want to pause or resume printing.
  4. Do one of the following:
    • To pause printing, click Pause.

      • The document will not print until you resume printing.

    • To resume printing, click Resume.

      • The document will begin printing. However, if higher priority documents are waiting to print, they will print first.

Notes

  • In general, once a document has started printing it will finish printing even if you pause it.


Restart printing of a document

To restart printing of a document

  3. Right-click the document for which you want to restart printing, and then click Restart.

Notes

  • When you restart a document, it starts printing again from the beginning. However, if higher priority documents are in the print queue, they will print first.


Choose a separator page

To choose a separator page

  3. On the Advanced tab, click Separator Page.
  4. Click Browse and find your systemroot\System32 folder.
  5. Specify one of the separator page files that Windows 2000 provides in the System32 folder:
    • Pcl.sep, which prints a page after switching the printer to PCL printing.
    • Sysprint.sep, which prints a page after switching the printer to PostScript printing.
    • Pscript.sep, which does not print a page after switching the printer to Postscript printing.

Notes

  • To set up separator pages, you must have the Manage Printers permission. For information about printing security permissions, see Related Topics.


Using printer control codes

A printer control code (or control sequence) is one or more characters that a computer program sends to a printer to initiate an action, such as moving the cursor to the beginning of a new line. Control codes are often used when a program does not support the printer you are using or does not support one of its specialized features.

The following table lists the hexadecimal values of some common control codes:

To enter this | Type this (including the brackets)
TAB | <09>
Carriage Return | <0D>
ESC | <1B>
Form Feed | <0C>
Line Feed | <0A>
NUL | <00>

You can install a generic text printer from Printers by clicking Start, pointing to Settings, and then clicking Printers.

To determine if your printer supports the use of control codes, see your printer's operating manual.


Printers overview

Printers are used to put text and graphics on all types of media, including paper, transparencies, fabric, or film. Printers are categorized in a number of ways, such as the means by which data is printed (character, line, or page), how characters are printed (dot-matrix characters or fully formed characters), and, most commonly, how text and graphics are transferred to the paper or other printing medium (impact printer or non-impact printer). Impact printers (such as dot-matrix and daisy wheel) actually strike the paper. Non-impact printers (which include laser, ink-jet, and thermal printers) use other technology (such as a laser) for placing text and graphics on the paper.

Character printers, which generally cannot print graphics, print one complete character at a time. A daisy wheel printer is an example of a character printer and works much like a typewriter.

Line printers are high-speed print devices that print one line of type at a time. Line printers usually print on 11-by-17-inch paper.

Page printers, such as laser printers, print an entire page at once. Page printers require more memory than character or line printers because they store each page in memory before printing it.

For a comprehensive list of the printers supported by Windows, see the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

For information about adding a printer, see Related Topics.


Printer drivers overview

A printer driver is a software program used by computer programs to communicate with printers and plotters. Printer drivers translate the information you send from the computer into commands that the printer understands. Usually, printer drivers are not compatible across platforms, so various drivers must be installed on the print server to support different hardware and operating systems. For example, if you are running Windows 2000 and you share a printer with users running Windows 3.1, you might want to install additional drivers so the users won't be prompted to install the missing drivers.

In general, printer drivers are made up of three types of files:

Configuration or printer interface file

Displays the Properties and Preferences dialog boxes when you configure a printer. This file has a .dll extension.

Data file

Provides information about the capabilities of a specific printer, including its resolution capability, whether it can print on both sides of the page, and what size paper it can accept. This file could have a .dll, .pcd, .gpd, or .ppd extension.

Printer graphics driver file

Translates device driver interface (DDI) commands into commands that a printer can understand. Each driver translates a different printer language. For example, the file Pscript.dll translates the PostScript printer language. This file has a .dll extension.

These files, which are usually accompanied by a help file, work together to make printing possible. For example, when you set up a new printer, the configuration file queries the data file and displays the available printer options. When you print, the graphics driver file queries the configuration file about your selections so that it can create the proper printer commands.

For information about installing printer drivers, see Related Topics.


Printer fonts

Most programs that support printing allow you to choose from a number of different fonts. Printers offering the widest assortment of fonts include laser, ink-jet, and dot-matrix printers. They support a fixed set of resident fonts, which you can expand by installing font cartridges or loading fonts from software.

  • Internal fonts (resident fonts) are used most often by laser, dot-matrix, and ink-jet printers. Pre-loaded into the printer's memory (ROM), internal fonts are always available for printing.
  • Cartridge fonts are stored in a cartridge or a card that plugs into the printer.
  • Downloadable fonts are sets of characters sent from the computer to a printer's memory when needed for printing. Also called soft fonts, downloadable fonts are used most often with laser printers and other page printers, although some dot-matrix printers also use them. Clients that use downloadable fonts and that print to Windows 2000 print servers should install the fonts locally to increase the printing speed.

For each document you print, Windows 2000 may need to send the required screen and downloadable fonts to the printer. To improve printing times, use fonts which do not need to be downloaded (such as internal fonts or cartridge fonts). Some printers have the ability to keep a list of downloadable fonts. If your printer supports this, enable the feature to increase printing speed. Not all printers can use all three types of fonts. Pen plotters, for example, cannot normally use downloadable fonts. For more information on the types of fonts you can use, see your printer's operating manual.

For information about installing fonts, see Related Topics.


Connect to a printer using a browser

To connect to a printer using a browser

  1. Open Internet Explorer.

    2. You can also use any other window or folder with an address bar, such as the Printers folder, Windows Explorer, or My Computer.

  2. In the Address bar, type one of the following:
    • If you don't know the printer's name, type using the format: http://PrintServerName/printers/

      • For example type http://W2KPrintSrv1/printers to receive a page listing all the printers located on print server W2KPrinterSrv1, and then click the printer you want to use.

    • If you know the printer's name, type its URL using the format: http://PrintServerName/PrinterName/

      • For example type http://W2KPrintSrv1/HPColor5/ to go directly to that printer page.

  3. When viewing the printer's page, click Connect under Printer Actions to connect to that printer.

    4. Windows 2000 automatically copies the appropriate printer driver to your computer and the icon for the printer appears in your Printers folder.

Notes

  • If you know the printer's URL you can use the Add Printer wizard to add the printer using its URL rather than typing its name in the Uniform Naming Convention (UNC) format: \\printserver_name\share_name. When the wizard prompts for the printer name, just enter the printer's URL, in the format, http://PrintServerName/PrinterName.
  • From the printer's URL page, you can view information such as the printer model, the printer's location, and the number of documents waiting to print, as well as properties such as print speed and whether the printer supports color printing. You can pause, resume, and cancel printing of any document you have sent to the printer. If you have the Manage Printers permission for the printer, you can also pause or resume operation of the printer. For information about printing security permissions, see Related Topics.
  • For Internet printing, you must have IIS installed on the server [or Peer Web Services (PWS) on Windows 2000 Professional].
  • You must use Internet Explorer (IE) version 4.0 or higher to connect to a printer.
  • After you connect to a shared printer from a Web browser, you can use it as if it were attached to your computer. You can also add it to your browser Favorites.


Add printer drivers for other clients

To add printer drivers for other clients

  2. Right-click the printer for which you want to install the additional drivers that support other clients, and then click Properties.
  3. On the Sharing tab, click Additional Drivers.
  4. In the Additional Drivers dialog box, select the check boxes for the additional environments and operating systems you need, and then click OK.

Notes

  • If you share a printer with users running other versions of Windows (Windows 95 and 98, and Windows NT 3.5 and 4.0), you can install additional printer drivers on your computer so those users can connect to your printer without being prompted to install the drivers missing from their systems.
  • Windows NT 4.0- and Windows 2000-based clients check the printer driver each time they reconnect to the network. A Windows NT 3.x client checks each time the spooler service on the client is started. If the driver is not current, a copy of the new driver is downloaded automatically. The printer driver for a Windows 95 or Windows 98-based client is not automatically kept current. If you update the driver on the print server, you must manually install the driver on Windows 95 and 98 clients.
  • The printer drivers for Windows 2000, Windows NT 4.0, and Windows 95 and 98 clients are included on the Windows 2000 CD, while printer drivers for Windows NT 3.1 and 3.5x are not.
  • The steps above describe how to install additional drivers on the print server, as a distribution point for clients of older versions of Windows 2000, and for Windows 95 and 98 clients.


Install new or updated printer drivers

To install new or updated printer drivers

  2. Right-click the printer for which you want to change drivers, and then click Properties.
  3. On the Advanced tab, click New Driver to install a new or updated version of the printer driver using the Add Printer Driver wizard.
  4. Click Next, and then do one of the following:
    • Click the appropriate printer manufacturer and printer model if the new or updated driver is on the list.
    • Click Have Disk if the printer driver is not included in the list or if you have received a new or updated driver on CD or diskette from the printer manufacturer, type the path where the driver is located, and then click OK.
  5. Click Next, and then follow the instructions on the screen to finish installing the printer driver.

Notes

  • To install new or updated printer drivers, you must be logged on to your computer as a member of the Administrators group. When using Windows 2000 Professional, you may be able to install new or updated printer drivers when logged on as a member of the Power Users group, depending on the components required by the printer driver.
  • If the printer driver you want to use already exists on the print server, you can install it by selecting it from the Driver list.
  • For information about updating printer drivers and other system files using Windows Update, see Related Topics.


Print TrueType fonts as graphics

To print TrueType fonts as graphics

  3. Click Advanced, and under Document Options click Print Text as Graphics.
  4. Click Enabled.

Notes

  • To change printing preferences, you must have the Print permission. For information about printing security permissions, see Related Topics.
  • The Print Text as Graphics option appears in the dialog box only if your printer supports this feature.
  • TrueType fonts are downloaded to the printer by default if the printer supports this feature. In general, this speeds printing because the fonts in your document reside in the printer's memory. If your printer is unable to print a document when Print Text as Graphics is enabled, try printing again after disabling this setting.
  • To set the printing default for all users connected to the printer, see Set printing defaults.


Cancel printing of all documents

To cancel printing of all documents

  2. Right-click the printer for which you want to cancel printing, and then click Cancel All Documents.

Notes

  • You must have the Manage Printers permission to cancel, pause, or resume printing on the printer. For information about printing security permissions, see Related Topics.
  • Cancel All Documents lets you cancel operation of the printer, rather than canceling the printing of specific documents.
  • The document currently printing will finish, and then all other documents will be cancelled.
  • When you choose to delete all documents in a printer's queue, you will be asked if you are sure you want to cancel all documents.


Pause or resume printing of all documents

To pause or resume printing of all documents

  2. Right-click the printer on which you want to pause or resume printing, and then click Pause Printing.

    3. A check mark appears next to Pause Printing when the printer is paused. To clear the check mark and resume printing, click Pause Printing again.

Notes

  • You must have the Manage Printers permission to pause, resume, or cancel printing on the printer. For information about printing security permissions, see Related Topics.
  • The document currently printing will finish, and then printing will be paused.
  • When you pause printing on a printer, no documents will print until you resume printing.


Print queue overview

The print queue shows the documents which are waiting to be printed. For each item on the list, information, such as the print status and number of pages, is provided. The following table shows the information displayed for each document in the queue.

Column | Description
Document Name | The file name of the document.
Status | The current status of the document, such as Spooling, Paused, or Printing.
Owner | The user name of the person who sent the document to the printer.
Pages | The number of pages that have printed and the total number of pages in the document.
Size | The size of the document in kilobytes.
Submitted | The time and date that the document was sent to the printer.
Port | The port being used by the printer.

If you manage a printer, you can control certain operations from the print queue. For example, you can pause or resume operation of the printer, and you can cancel printing of all documents waiting to be printed.

You can also manage documents you send to the printer. You can pause, resume, or cancel printing of a document; restart printing of a document; or you may view and change job settings, such as the priority and the person notified when the job is done. For documents waiting to print, you can view, but not change, settings such as the page orientation, paper source, and number of copies.

For information about viewing the print queue, see Related Topics.


Transfer documents to another printer

To transfer documents to another printer

  2. Double-click the printer that holds the document(s) you want to redirect.
  3. On the Printer menu, click Properties.
  4. Click the Ports tab, and then do one of the following:

    5. To send documents to another printer on the same print server

    Click the port to which the other printer is assigned and then click OK.

    To send documents to a printer on a different print server

    Click Add Port, click Local Port, and then click New Port. Type the name of the other print server and the share name of the shared printer. For example:

    \\other_print_server\share_name

Notes

  • To redirect documents to another printer, you must have the Manage Printers permission on both printers. For information about printing security permissions, see Related Topics.
  • Use this procedure to send your documents to a working printer when your printer has failed and your documents are stuck in the print queue.
  • Since the program has already converted the document into a language specific to a particular printer, you must redirect the document(s) to the same type of printer.
  • The document currently printing cannot be transferred to another printer.
  • If the printer holding the print jobs is offline or has a paper jam, the document showing the error cannot be moved to a new port.
  • If a print job shows an error, all subsequent print jobs will be held until the document is deleted from the print queue.
  • To redirect documents to a printer on a different print server, the printer must already exist and be shared on the printer server. You can then add a local port for the other print server and provide the print server name and the appropriate share name for the printer.
  • When adding a network port, you can only add an existing port.


Printing security permissions

When a printer is installed on a network, default permissions are assigned that allow all users to print, and allow select groups to manage the printer, the documents sent to it, or both. Because the printer is available to all users on the network, you might want to limit access for some users by assigning specific printer permissions. For example, you could give all nonadministrative users in a department the Print permission and give all managers the Print and Manage Documents permissions. In this way, all users and managers can print documents, but managers can also change the print status of any document sent to the printer.

Windows 2000 provides three levels of printing security permissions: Print, Manage Printers, and Manage Documents. When multiple permissions are assigned to a group of users, the least restrictive permissions apply. However, when Deny is applied, it takes precedence over any permission. The following is a brief explanation of the types of tasks a user can perform at each permission level.

Print

The user can connect to a printer and send documents to the printer. By default, the Print permission is assigned to all members of the Everyone group.

Manage Printers

The user can perform the tasks associated with the Print permission and has complete administrative control of the printer. The user can pause and restart the printer, change spooler settings, share a printer, adjust printer permissions, and change printer properties. By default, the Manage Printers permission is assigned to members of the Administrators and Power Users groups.

By default, members of the Administrators and Power Users groups have full access, which means that the users are assigned the Print, Manage Documents, and Manage Printers permissions.

Manage Documents

The user can pause, resume, restart, and cancel documents submitted by all other users. The user cannot, however, send documents to the printer or control the status of the printer. By default, the Manage Documents permission is assigned to members of the Creator Owner group.

When a user is assigned the Manage Documents permission, the user cannot access existing documents currently waiting to print. The permission will only apply to documents sent to the printer after the permission is assigned to the user.

Deny

Any or all of the preceding permissions are denied for the printer. When access is denied, the user cannot use or manage the printer, manipulate documents sent to the printer, or adjust any of the permissions.

For more information about printing security permissions, see Related Topics.


Printing permissions assigned to groups

Windows 2000 assigns printing permissions to six groups of users. These groups include Administrators, Creator Owner, Everyone, Power Users, Print Operators, and Server Operators. By default, each group is assigned a combination of the Print, Manage Documents, and Manage Printers permissions as shown in the following table.

Group | Print | Manage Documents | Manage Printers
Administrators | x | x | x
Creator Owner |  | x |
Everyone | x |  |
Power Users | x | x | x
Print Operators | x | x | x
Server Operators | x | x | x

The Print Operators and Server Operators groups are located only on Windows 2000 Server domain controllers.

Each permission consists of a group of special accesses which allow the user to perform specific tasks. The following table summarizes the level of access associated with each of the printing security permissions.

Tasks permitted | Print | Manage Documents (applies to documents only) | Manage Printers
Print | x |  | x
Manage Printers |  |  | x
Manage Documents |  | x |
Read Permissions | x | x | x
Change Permissions |  | x | x
Take Ownership |  | x | x

For information on setting printing permissions, see Related Topics.


Print a test page

To print a test page

  2. Right-click the printer you want to test, and then click Properties.
  3. On the General tab, click Print Test Page.
  4. Click OK if the test page printed correctly. If the test page did not print correctly, click Troubleshoot to open the Print Troubleshooter for help resolving the printing problem.

Notes

  • To print a test page, you must have the Print permission. For information about printing security permissions, see Related Topics.
  • You can also print a test page when you first install a printer.


Separator pages

A separator or banner page typically states who sent the document to the printer and gives the date and time of printing. You can use one of the standard separator pages or create a custom page. Windows 2000 provides three separator page files, which are located in the systemroot\System32 folder.

The following table shows the names of the separator page files, the type of printer with which it is compatible, and the purpose of each page. You can edit or customize any of these separator pages.

File name | Printer language | Purpose
pcl.sep | Printer Control Language | Switches the printer to PCL printing and prints a separator page before each document. Pcl.sep is compatible with PCL printers, but may not work unless the printer also supports PJL.
pscript.sep | PostScript | Switches the printer to PostScript printing, but does not print a separator page before each document. Pscript.sep is compatible with PostScript printers that also support PJL.
sysprint.sep | PostScript | Switches the printer to PostScript printing and prints a separator page before each document. Sysprint.sep is compatible with PostScript printers.

For information about choosing a separator page, see Related Topics.

The separator page files provided by Windows 2000 may not work with some printers.